package com.yifu.cloud.plus.v1.yifu.archives.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;


/**
 * 附件信息表
 *
 * @author pwang
 * @date 2021-02-19 16:16:07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("t_atta_info")
@Tag(name = "附件信息表")
public class TAttaInfo extends Model<TAttaInfo> {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
    /**
     * 资源名称
     */
    @NotBlank(message = "资源名称不能为空")
    @Length(max = 50, message = "资源名称不能超过50个字符")
    @Schema(description = "资源名称")
    private String attaName;
    /**
     * 资源地址
     */
    @NotBlank(message = "资源地址不能为空")
    @Length(max = 100, message = "资源地址不能超过100个字符")
    @Schema(description = "资源地址")
    private String attaSrc;
    /**
     * 资源大小
     */
    @Schema(description = "资源大小")
    private Long attaSize;
    /**
     * 资源类型
     */
    @Length(max = 10, message = "资源类型不能超过10个字符")
    @Schema(description = "资源类型")
    private String attaType;
    /**
     * 创建人
     */
    @Length(max = 32, message = "创建人不能超过32个字符")
    @Schema(description = "创建人")
    private String createUser;
    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    private LocalDateTime createTime;
    /**
     * 关系类型(0客户附件1联系人附件2跟进记录附件3合同附件4合同归档附件5报价单)
     */
    @NotBlank(message = "关系类型(0客户附件1联系人附件2跟进记录附件3合同附件4合同归档附件5报价单)不能为空")
    @Length(max = 2, message = "关系类型(0客户附件1联系人附件2跟进记录附件3合同附件4合同归档附件5报价单)不能超过2个字符")
    @Schema(description = "关系类型(0客户附件1联系人附件2跟进记录附件3合同附件4合同归档附件5报价单)")
    private String relationType;
    /**
     * 实体id和关系类型共同确定附件所属
     */
    @NotBlank(message = "实体id和关系类型共同确定附件所属不能为空")
    @Length(max = 32, message = "实体id和关系类型共同确定附件所属不能超过32个字符")
    @Schema(description = "实体id和关系类型共同确定附件所属")
    private String domainId;
}
