package com.yifu.cloud.plus.v1.yifu.common.core.exception;

/**
 * 错误编码
 *
 * @author lengleng
 * @date 2022/3/30
 */
public interface ErrorCodes {

	/**
	 * 系统编码错误
	 */
	String SYS_PARAM_CONFIG_ERROR = "sys.param.config.error";

	/**
	 * 系统内置参数不能删除
	 */
	String SYS_PARAM_DELETE_SYSTEM = "sys.param.delete.system";

	/**
	 * 用户已存在
	 */
	String SYS_USER_USERNAME_EXISTING = "sys.user.username.existing";

	/**
	 * 用户原密码错误，修改失败
	 */
	String SYS_USER_UPDATE_PASSWORDERROR = "sys.user.update.passwordError";

	/**
	 * 用户信息为空
	 */
	String SYS_USER_USERINFO_EMPTY = "sys.user.userInfo.empty";

	/**
	 * 获取当前用户信息失败
	 */
	String SYS_USER_QUERY_ERROR = "sys.user.query.error";

	/**
	 * 部门名称不存在
	 */
	String SYS_DEPT_DEPTNAME_INEXISTENCE = "sys.dept.deptName.inexistence";

	/**
	 * 岗位名称不存在
	 */
	String SYS_POST_POSTNAME_INEXISTENCE = "sys.post.postName.inexistence";

	/**
	 * 岗位名称或编码已经存在
	 */
	String SYS_POST_NAMEORCODE_EXISTING = "sys.post.nameOrCode.existing";

	/**
	 * 角色名称不存在
	 */
	String SYS_ROLE_ROLENAME_INEXISTENCE = "sys.role.roleName.inexistence";

	/**
	 * 角色名或角色编码已经存在
	 */
	String SYS_ROLE_NAMEORCODE_EXISTING = "sys.role.nameOrCode.existing";

	/**
	 * 系统内置菜单不允许删除
	 */
	String SYS_MENU_DELETE_SYSTEM = "sys.menu.delete.system";

	/**
	 * 菜单上级菜单不可为数据权限配置类菜单
	 */
	String SYS_MENU_ADD_PARENT_ERROR = "sys.menu.add.parent.error";

	/**
	 * 菜单存在下级节点 删除失败
	 */
	String SYS_MENU_DELETE_EXISTING = "sys.menu.delete.existing";

	/**
	 * 系统内置字典不允许删除
	 */
	String SYS_DICT_DELETE_SYSTEM = "sys.dict.delete.system";

	/**
	 * 系统内置字典不能修改
	 */
	String SYS_DICT_UPDATE_SYSTEM = "sys.dict.update.system";

	/**
	 * 验证码发送频繁
	 */
	String SYS_APP_SMS_OFTEN = "sys.app.sms.often";

	/**
	 * 手机号未注册
	 */
	String SYS_APP_PHONE_UNREGISTERED = "sys.app.phone.unregistered";

	/**
	 * 字典存在下级节点 删除失败
	 */
	String SYS_DICT_DELETE_EXISTING = "sys.dict.delete.existing";

	/**
	 * 系统内置角色不允许删除
	 */
	String SYS_ROLE_DELETE_SYSTEM = "sys.role.delete.system";

	/**
	 * 该角色下还有关联的用户，请先将用户转移到其他角色!
	 */
	String SYS_ROLE_DELETE_EXIST_USER = "sys.role.delete.existing.user";

	/**
	 * 系统内置角色不能修改
	 */
	String SYS_ROLE_UPDATE_SYSTEM = "sys.role.update.system";

	/**
	 * 系统内置用户不允许删除
	 */
	String SYS_USER_DELETE_SYSTEM = "sys.user.delete.system";

	/**
	 * 系统内置用户不允许修改
	 */
	String SYS_USER_UPDATE_SYSTEM = "sys.user.update.system";

	/**
	 * 已存在对应标识的角色
	 */
	String SYS_ROLE_UPDATE_ERROR_CODE_EXIST= "sys.role.update.error.code.exist";
	/**
	 * 已存在对应名称的菜单
	 */
	String SYS_MENU_ADD_NAME_EXIST = "sys_menu_add_name_exist";

	/**
	 * 已存在对应名称的角色
	 */
	String SYS_ROLE_UPDATE_ERROR_NAME_EXIST ="sys.role.update.error.name.exist";

	/**
	 * 已存在对应编码的字典
	 */
	String SYS_DICT_ADD_TYPE_EXISTS = "sys.dict.add.type.exist";

	/**
	 * 已存在对应值的字典项
	 */
	String SYS_DICT_ITEM_ADD_VALUE_EXIST = "sys.dict.item.add.value.exist";
	/**
	 * 存在下级字典，禁止删除
	 */
	String SYS_DICT_DELETE_EXIST_CHILD = "sys.dict.delete.exist.child";

	/**
	 * 存在下级字典项值，禁止删除
	 */
	String SYS_DICT_ITEM_DELETE_EXIST_CHILD = "sys.dict.item.delete.exist.child";

	/**
	 * 已存在对应伤残病名称的数据
	 */
    String ARCHIVES_EMP_DISABILITY_NAME_EXISTING = "archives.emp.disability.name.existing";

	/**
	 * 已存在对应身份证的家庭成员信息
	 */
	String ARCHIVES_EMP_FAMILY_NAME_EXISTING = "archives.emp.family.name.existing";

	/**
	 * 已存在对应身份证的家庭成员信息
	 */
	String ARCHIVES_EMP_NOT_EXIST = "archives.emp.not.exist";

	/**
	 * 员工已减档
	 */
	String ARCHIVES_EMP_REDUCED = "archives.emp.reduced";
	/**
	 * 已存在对应身份证的工作记录信息
	 */
	String ARCHIVES_EMP_WORK_RECORD_EXISTING = "archives.emp.work.record.existing";

	/**
	 * 已存在该员工对应学历名称的学历信息
	 */
	String ARCHIVES_EMP_EDUCATION_EXISTING = "archives.emp.education.existing";
	/**
	 * 参数不可为空
	 */
	String PARAM_NOT_EMPTY = "param.not.empty";
	/**
	 * 校验请求异常
	 */
	String CHECKS_MOBILE_REQUEST_ERROR = "checks.mobile.request.error";
	/**
	 * 单次号码状态校验请求上限100
	 */
	String CHECKS_MOBILE_REQUEST_LIMIT_HUNDRED = "checks.mobile.request.limit.hundred";
	/**
	 * 银行卡号校验传参有误：姓名、身份证号、银行卡号 必填
	 */
	String CHECKS_BANK_NO_REQUEST_PARAM_ERROR = "checks.bank.no.request.param.error";
	/**
	 * 存在已减档的档案和已减项的项目，禁止导入
	 */
	String CHECKS_EMP_PROJECT_ERROR = "checks.emp.project.error";
	/**
	 * 存在已减档的档案，禁止导入
	 */
	String CHECKS_REDUCE_EMP_ERROR = "checks.reduce.emp.error";
	/**
	 * 存在已减项的项目，禁止导入
	 */
	String CHECKS_REDUCE_PROJECT_ERROR = "checks.reduce.project.error";
	/**
	 * 人员不在该项目，无法更新
	 */
	String CHECKS_EMP_EXIT_ERROR = "checks.emp.exit.error";
}
